#!/bin/bash
# Licensed to the Apache Software Foundation (ASF) under one
# or more contributor license agreements.  See the NOTICE file
# distributed with this work for additional information
# regarding copyright ownership.  The ASF licenses this file
# to you under the Apache License, Version 2.0 (the
# "License"); you may not use this file except in compliance
# with the License.  You may obtain a copy of the License at
# 
#   http://www.apache.org/licenses/LICENSE-2.0
# 
# Unless required by applicable law or agreed to in writing,
# software distributed under the License is distributed on an
# "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
# KIND, either express or implied.  See the License for the
# specific language governing permissions and limitations
# under the License.



 


# mysql phase 1

pgrep mysqld
if [ $? -ne 0 ]; then
   echo "Mysqld is not running"
   exit 1
fi

echo Running upgrade for database: cloud from 2.2.1 to 2.2.2
mysql -u root -C cloud < 221to222.sql
if [ $? -gt 0 ]
then 
exit 1
fi
echo Finished upgrade for database: cloud from 2.2.1 to 2.2.2

# mysql phase 2

echo Running upgrade for database: cloud_usage from 2.2.1 to 2.2.2
mysql -u root -C cloud_usage < 221to222_usage.sql
if [ $? -gt 0 ]
then 
exit 1
fi
echo Finished upgrade for database: cloud_usage from 2.2.1 to 2.2.2


